#132328 Report by node gh-actions covering 2026 tests from 61 modules resulted into 2 errors

Report

ObsPy version
1.3.0.post0+22.g2f0c8d6c1f
GitHub Pull Request
https://github.com/isas-yamamoto/obspy/pull/37
Report file
JSON document
Total runtime
393.2 sec
Report date/time
Dec. 25, 2022, 10:15 p.m.

System / Python

Architecture
64bit
Machine
AMD64
Node
gh-actions
Processor
Intel64 Family 6 Model 85 Stepping 4, GenuineIntel
Python Compiler
MSC v.1916 64 bit (AMD64)
Python Implementation
CPython
Python Version
3.7.12
Release
10
System
Windows
Version
10.0.20348

Dependencies

cartopy
0.17.0
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
4.9.1
matplotlib
3.2.2
numpy
1.15.4
obspy
1.3.0.post0+22.g2f0c8d6c1f
pyproj
2.6.1.post1
pytest
7.2.0
pytest-json-report
1.5.0
requests
2.28.1
scipy
1.1.0
setuptools
65.6.3
shapefile
---
sqlalchemy
1.4.42

Modules (61)

Module Errors / Failures Tracebacks
obspy.clients.earthworm Not tested -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 1 1
obspy.core.event - -
obspy.core.inventory - -
obspy.core.util - -
obspy.db Not tested -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.alsep 1 2
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 2 2

Tracebacks (2)

Traceback (most recent call last):
File "D:\a\obspy\obspy\obspy\core\tests\test_waveform_plugins.py", line 220, in test_is_format
assert len(paths) > 0, msg + '\n '.join(all_paths)
AssertionError: Test data directories do not exist:
c:\miniconda3\envs\test\lib\site-packages\obspy\io\ah\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\alsep\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\alsep\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\alsep\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\css\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\dmx\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\gcf\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\gse2\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\gse2\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\kinemetrics\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\nied\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\mseed\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\css\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\pdas\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\core\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\sh\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\reftek\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\rg16\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\sac\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\sac\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\seg2\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\segy\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\seisan\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\sh\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\ascii\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\segy\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\ascii\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\wav\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\win\tests\data
c:\miniconda3\envs\test\lib\site-packages\obspy\io\y\tests\data
assert 0 > 0
+ where 0 = len({})
024
025 Reading
026 -------
027
028 There are three types of ALSEP tape: PSE, WTN, and WTH. They are handled by
029 using ObsPy's standard:func:`~obspy.core.stream.read` function. The format is
030 detected automatically.
031
032 >>> from obspy import read
033 >>> st = read("http://darts.isas.jaxa.jp/pub/apollo/pse/p15s/pse.a15.1.2")
UNEXPECTED EXCEPTION: ConnectionError(MaxRetryError("HTTPConnectionPool(host='darts.isas.jaxa.jp', port=80): Max retries exceeded with url: /pub/apollo/pse/p15s/pse.a15.1.2 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x0000016B90A7AA08>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond'))"))
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connection.py", line 175, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\util\connection.py", line 95, in create_connection
raise err
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\util\connection.py", line 85, in create_connection
sock.connect(sa)
TimeoutError: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connectionpool.py", line 710, in urlopen
chunked=chunked,
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connectionpool.py", line 398, in _make_request
conn.request(method, url, **httplib_request_kw)
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connection.py", line 239, in request
super(HTTPConnection, self).request(method, url, body=body, headers=headers)
File "C:\Miniconda3\envs\test\lib\http\client.py", line 1281, in request
self._send_request(method, url, body, headers, encode_chunked)
File "C:\Miniconda3\envs\test\lib\http\client.py", line 1327, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "C:\Miniconda3\envs\test\lib\http\client.py", line 1276, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "C:\Miniconda3\envs\test\lib\http\client.py", line 1036, in _send_output
self.send(msg)
File "C:\Miniconda3\envs\test\lib\http\client.py", line 976, in send
self.connect()
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connection.py", line 205, in connect
conn = self._new_conn()
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connection.py", line 187, in _new_conn
self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x0000016B90A7AA08>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\lib\site-packages\requests\adapters.py", line 499, in send
timeout=timeout,
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\connectionpool.py", line 788, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "C:\Miniconda3\envs\test\lib\site-packages\urllib3\util\retry.py", line 592, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='darts.isas.jaxa.jp', port=80): Max retries exceeded with url: /pub/apollo/pse/p15s/pse.a15.1.2 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x0000016B90A7AA08>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\lib\doctest.py", line 1337, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.alsep[1]>", line 1, in <module>
File "C:\Miniconda3\envs\test\lib\site-packages\decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "D:\a\obspy\obspy\obspy\core\util\decorator.py", line 291, in _map_example_filename
return func(*args, **kwargs)
File "D:\a\obspy\obspy\obspy\core\stream.py", line 208, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "D:\a\obspy\obspy\obspy\core\util\base.py", line 644, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "D:\a\obspy\obspy\obspy\core\util\base.py", line 593, in download_to_file
r = requests.get(url, stream=True)
File "C:\Miniconda3\envs\test\lib\site-packages\requests\api.py", line 73, in get
return request("get", url, params=params, **kwargs)
File "C:\Miniconda3\envs\test\lib\site-packages\requests\api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
File "C:\Miniconda3\envs\test\lib\site-packages\requests\sessions.py", line 587, in request
resp = self.send(prep, **send_kwargs)
File "C:\Miniconda3\envs\test\lib\site-packages\requests\sessions.py", line 701, in send
r = adapter.send(request, **kwargs)
File "C:\Miniconda3\envs\test\lib\site-packages\requests\adapters.py", line 565, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='darts.isas.jaxa.jp', port=80): Max retries exceeded with url: /pub/apollo/pse/p15s/pse.a15.1.2 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x0000016B90A7AA08>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond'))
D:\a\obspy\obspy\obspy\io\alsep\__init__.py:33: UnexpectedException

Skipped tests (20)

Submodule Test Skip message
core core/stream.py::obspy.core.stream._is_pickle Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.CatchOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.SuppressOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.TemporaryWorkingDirectory Skipped: all tests skipped by +SKIP option
geodetics geodetics/tests/test_util_geodetics.py::TestUtilGeodetics::test_gps_2_dist_azimuth_bug150 Skipped: Geographiclib installed, not using calc_vincenty_inverse
imaging imaging/tests/test_mopad_script.py::TestMopad::test_script_plot Skipped: Currently broken until further review.
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_slist Skipped: all tests skipped by +SKIP option
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_tspair Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._evmagtonor Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._nortoevmag Skipped: all tests skipped by +SKIP option
io.pde io/pde/mchedr.py::obspy.io.pde.mchedr._is_mchedr Skipped: all tests skipped by +SKIP option
io.quakeml io/quakeml/core.py::obspy.io.quakeml.core._is_quakeml Skipped: all tests skipped by +SKIP option
io.seisan io/seisan/core.py::obspy.io.seisan.core._is_seisan Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_asc Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_q Skipped: all tests skipped by +SKIP option
io.wav io/wav/core.py::obspy.io.wav.core._is_wav Skipped: all tests skipped by +SKIP option
io.y io/y/core.py::obspy.io.y.core._is_y Skipped: all tests skipped by +SKIP option
signal signal/quality_control.py::obspy.signal.quality_control.MSEEDMetadata Skipped: all tests skipped by +SKIP option
signal signal/tests/test_invsim.py::InvSimTestCase::test_evalresp_file_like_object Skipped: unreproducible test fail encountered on Appveyor sometimes.
signal signal/tests/test_quality_control.py::QualityControlTestCase::test_schema_validation Skipped: Test requires the jsonschema module

Slowest tests (20)

Runtime Test
15.246s io/xseed/tests/test_core.py::CoreTestCase::test_response_calculation_from_seed_and_xseed
11.973s core/tests/test_inventory.py::TestInventoryCartopy::test_location_plot_local
10.180s core/tests/test_event.py::TestEvent::test_plot_farfield_without_quiver_with_maps
8.368s taup/__init__.py::obspy.taup
7.116s taup/tests/test_velocity_model.py::TestTauPyVelocityModel::test_read_velocity_model
6.623s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_shoot_existing_ray_param
5.059s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_wiggles_vertical_section
5.037s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_wiggles_positive_section
5.019s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_wiggles_horizontal_section
5.010s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_wiggles_negative_section
4.992s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_colored_section
4.990s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_azim_section
4.984s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_default_section
4.970s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_ref_time_section
4.947s imaging/tests/test_waveform.py::TestWaveformPlot::test_plot_horizontal_section
4.484s signal/tests/test_calibration.py::CalibrationTestCase::test_relcal_different_overlaps
4.242s signal/tests/test_cross_correlation.py::TestCrossCorrelation::test_correlate_stream_template_and_correlation_detector
3.872s taup/tau.py::obspy.taup.tau.plot_travel_times
3.852s signal/tests/test_polarization.py::PolarizationTestCase::test_polarization_vidale
3.677s io/arclink/tests/test_inventory_xml.py::ArclinkInventoryTestCase::test_auto_read_arclink_xml

Warnings (11)

Stage Filename Category Message
runtest C:\Miniconda3\envs\test\lib\site-packages\cartopy\mpl\geoaxes.py:782 MatplotlibDeprecationWarning Passing the minor parameter of set_xticks() positionally is deprecated since Matplotlib 3.2; the parameter will become keyword-only two minor releases later.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\signal\signaltools.py:2223 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\signal\signaltools.py:1593 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\signal\signaltools.py:2225 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\signal\signaltools.py:1344 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\fftpack\basic.py:160 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\signal\signaltools.py:2230 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.
runtest C:\Miniconda3\envs\test\lib\site-packages\cartopy\mpl\geoaxes.py:829 MatplotlibDeprecationWarning Passing the minor parameter of set_yticks() positionally is deprecated since Matplotlib 3.2; the parameter will become keyword-only two minor releases later.
runtest C:\Miniconda3\envs\test\lib\site-packages\cartopy\mpl\geoaxes.py:1063 DeprecationWarning Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3,and in 3.9 it will stop working
runtest C:\Miniconda3\envs\test\lib\site-packages\numpy\matrixlib\defmatrix.py:68 PendingDeprecationWarning the matrix subclass is not the recommended way to represent matrices or deal with linear algebra (see https://docs.scipy.org/doc/numpy/user/numpy-for-matlab-users.html). Please adjust your code to use regular ndarray.
runtest C:\Miniconda3\envs\test\lib\site-packages\scipy\signal\signaltools.py:491 FutureWarning Using a non-tuple sequence for multidimensional indexing is deprecated; use `arr[tuple(seq)]` instead of `arr[seq]`. In the future this will be interpreted as an array index, `arr[np.array(seq)]`, which will result either in an error or a different result.